DHTMLX Docs & Samples Explorer

Index
dhtmlxdataprocessor
Event Handling

## onBeforeDataSending event

occurs after data was validated and its ready to be sent, occurs once for all rows in sending group, blockable.

          dp.attachEvent("onBeforeDataSending",function(id){
               //any custom code
               return true;
          })

Parameters:

- row id - defined only if one row was sent, not defined for multi-sending modes.